---
updatedAt: 2026-08-07T15:22:40.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Update channel

Updates the description of an existing channel.<br>

You can update `description`, but the channel code remains fixed.

This endpoint generates the following events:
- [Channel created, updated, or deleted](https://developers.pismo.io/events/docs/cash-management-channel-1)

Refer to [Data and reporting](doc:data-reporting-overview) for more information about events and setting up event notifications.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Transaction banking",
    "version": "0.9.0",
    "description": "Transaction banking API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Channels",
      "description": "Channel management endpoints"
    }
  ],
  "components": {
    "parameters": {
      "ChannelPath": {
        "name": "channel",
        "in": "path",
        "description": "Channel code",
        "schema": {
          "type": "string",
          "minLength": 1,
          "maxLength": 20,
          "pattern": "^[a-zA-Z0-9]+$"
        },
        "required": true,
        "example": "GDP"
      }
    },
    "schemas": {
      "ChannelCreatedAt": {
        "description": "Timestamp indicating when the channel was created, expressed in RFC3339 format with millisecond precision.",
        "type": "string",
        "format": "date-time",
        "example": "2026-02-26T10:30:00.123Z"
      },
      "ChannelDescription": {
        "description": "Text describing the channel",
        "type": "string",
        "maxLength": 255,
        "example": "GDP channel"
      },
      "ChannelCodeResponse": {
        "description": "Alphanumeric channel code",
        "type": "string",
        "example": "GDP"
      },
      "ChannelDeletedAt": {
        "description": "Timestamp that indicates when the channel was soft-deleted. Null if the channel is active.",
        "type": "string",
        "format": "date-time",
        "nullable": true,
        "example": null
      },
      "ChannelUpdatedAt": {
        "description": "Timestamp indicating the last update to the channel in RFC3339 format, displayed in milliseconds.",
        "type": "string",
        "format": "date-time",
        "nullable": true,
        "example": "2026-03-10T14:00:00.000Z"
      },
      "UpdateChannelRequest": {
        "description": "Request body to update channel description",
        "type": "object",
        "required": [
          "description"
        ],
        "properties": {
          "description": {
            "$ref": "#/components/schemas/ChannelDescription"
          }
        }
      },
      "UpdateChannelResponse": {
        "description": "Response body for an updated channel",
        "type": "object",
        "required": [
          "channel",
          "created_at"
        ],
        "properties": {
          "channel": {
            "$ref": "#/components/schemas/ChannelCodeResponse"
          },
          "created_at": {
            "$ref": "#/components/schemas/ChannelCreatedAt"
          },
          "description": {
            "$ref": "#/components/schemas/ChannelDescription"
          },
          "updated_at": {
            "$ref": "#/components/schemas/ChannelUpdatedAt"
          },
          "deleted_at": {
            "$ref": "#/components/schemas/ChannelDeletedAt"
          }
        }
      },
      "ErrorCode": {
        "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n",
        "type": "string",
        "minLength": 1,
        "maxLength": 12,
        "example": "WPMT0017"
      },
      "ErrorMessage": {
        "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n",
        "type": "string",
        "minLength": 1,
        "maxLength": 1000,
        "example": "Invalid JSON payload received: Error unmarshalling request"
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "$ref": "#/components/schemas/ErrorCode"
          },
          "message": {
            "$ref": "#/components/schemas/ErrorMessage"
          }
        }
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "403Forbidden": {
        "description": "The request has been lost"
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            },
            "examples": {
              "Generic internal error": {
                "value": {
                  "code": "ECMN9999",
                  "message": "Internal error"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/corporate/v1/channels/{channel}": {
      "patch": {
        "summary": "Update channel",
        "description": "Updates the description of an existing channel.<br>\n\nYou can update `description`, but the channel code remains fixed.\n\nThis endpoint generates the following events:\n- [Channel created, updated, or deleted](https://developers.pismo.io/events/docs/cash-management-channel-1)\n\nRefer to [Data and reporting](https://developers.pismo.io/pismo-docs/docs/data-reporting-overview) for more information about events and setting up event notifications.\n",
        "operationId": "patch-corporate-v1-channels-channel",
        "tags": [
          "Channels"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/ChannelPath"
          }
        ],
        "requestBody": {
          "description": "Update channel request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateChannelRequest"
              },
              "examples": {
                "Update description": {
                  "value": {
                    "description": "Updated GDP channel description"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK. Returns the updated channel.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateChannelResponse"
                },
                "examples": {
                  "Updated channel": {
                    "value": {
                      "channel": "GDP",
                      "description": "Updated GDP channel description",
                      "created_at": "2026-02-26T10:30:00.123Z",
                      "updated_at": "2026-07-31T14:00:00.000Z",
                      "deleted_at": null
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "Invalid JSON": {
                    "summary": "Invalid JSON payload",
                    "value": {
                      "code": "WCCL0001",
                      "message": "Invalid JSON payload received: Error unmarshalling request"
                    }
                  },
                  "description required": {
                    "summary": "Description is required",
                    "value": {
                      "code": "WCCL0002",
                      "message": "description is a required field"
                    }
                  },
                  "description max": {
                    "summary": "Description exceeds maximum length",
                    "value": {
                      "code": "WCCL0002",
                      "message": "description must be a maximum of 255 characters in length"
                    }
                  },
                  "Channel not active": {
                    "summary": "Channel is not active",
                    "value": {
                      "code": "WCCL0005",
                      "message": "Channel not active"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "404": {
            "description": "Not Found. Channel does not exist.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "Channel not found": {
                    "summary": "Channel not found",
                    "value": {
                      "code": "WCCL0004",
                      "message": "Channel not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```